---
title: "Tests | Grafana Cloud documentation"
description: "Tests Legacy API Warning The Grafana Cloud k6 endpoints under this section are deprecated and planned for removal in the near future. Migrate to the latest Load Tests API endpoints to avoid disruptions."
---

# Tests Legacy API

> Warning
> 
> The Grafana Cloud k6 endpoints under this section are deprecated and planned for removal in the near future. Migrate to the latest [Load Tests API endpoints](../../load-tests/) to avoid disruptions.

## List load tests

Returns all tests within a specified project. If no project is specified, k6 returns the default project.

You MAY sort or query the results with query parameters.

**GET** `https://api.k6.io/loadtests/v2/tests`

Expand table

| Query Parameters | Type    | Description                                                                                                          | Example                                                              |
|------------------|---------|----------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------|
| project\_id      | integer | Returns tests associated with a given project\_id                                                                    | `/loadtests/v2/tests?project_id={project_id}`                        |
| ids\[]           | integer | Returns tests with given ids.                                                                                        | `/loadtests/v2/tests?ids[]={id_1}&ids[]={id_2}`                      |
| order\_by        | string  | Selects the parameter to use to order the returned tests. Available parameter values: `id`, `name`, `last_run_time`. | `/loadtests/v2/tests?project_id={project_id}&order_by=last_run_time` |
| q                | string  | Returns tests whose `name` property matches the queried string.                                                      | `/loadtests/v2/tests?project_id={project_id}&q=some_string`          |
| page             | integer | A page number within the paginated result set.                                                                       | `/loadtests/v2/tests?project_id={project_id}&page=2&page_size=5`     |
| page\_size       | integer | Number of results to return per page.                                                                                | `/loadtests/v2/tests?project_id={project_id}&page=2&page_size=5`     |

JSON ![Copy code to clipboard](/media/images/icons/icon-copy-small-2.svg) Copy

```json
{
  "k6-runs": [],
  "k6-tests": [
    {
      "id": 0,
      "project_id": 0,
      "user_id": 0,
      "name": "string",
      "created": "2020-08-13T18:28:45Z",
      "updated": "2020-08-13T18:28:45Z",
      "last_test_run_id": "string",
      "test_run_ids": [0],
      "script": "string"
    }
  ],
  "load_zones": [],
  "meta": {
    "count": 1
  }
}
```

## List load tests Cloud v5

Returns all tests within a specified project.

`GET /cloud/v5/projects/:projectId/load_tests`

Example URL with optional parameters:

`GET /cloud/v5/projects/:projectId/load_tests?$top=10&$skip=20&$count=true&$select=id,name,created&$orderby=created desc&$filter=contains(name,'heavy')`

### Parameters

All parameters are optional.

Expand table

| Parameter  | Description                                                                                                                                                                |
|------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `$select`  | Specifies a comma-separated list of properties to include in the response.                                                                                                 |
| `$orderby` | Specifies the sorting order for the returned results. It accepts one or more comma-separated properties with an optional `asc` (ascending) or `desc` (descending) keyword. |
| `$top`     | Limits the number of items to return in the response.                                                                                                                      |
| `$skip`    | Specifies the number of items to skip in the result set before returning the remaining items. It is used for paging through a large result set.                            |
| `$count`   | Includes a count of the total number of items in the result set in the response.                                                                                           |
| `$filter`  | Filters the result set based on specified conditions.                                                                                                                      |

**Example request**:

http ![Copy code to clipboard](/media/images/icons/icon-copy-small-2.svg) Copy

```http
GET https://api.k6.io/cloud/v5/projects/5276/load_tests?$count=true
Accept: application/json
Authorization: Token 56c166885f9a7fc1e588a1b3cb66f6dd
```

**Example response**

http ![Copy code to clipboard](/media/images/icons/icon-copy-small-2.svg) Copy

```http
HTTP/1.1 200
Content-Type: application/json

{
  "@count": "3",
  "value": [
    {
      "created": "2021-05-24T12:59:18.180471Z",
      "id": 4122,
      "name": "Simple login test",
      "project_id": 5276,
      "project_name": "Heavy tests",
      "updated": "2021-05-24T12:59:18.180483Z"
    },
    {
      "created": "2020-07-20T09:32:46.071962Z",
      "id": 3535,
      "name": "Cart checkout test",
      "project_id": 5276,
      "project_name": "Heavy tests",
      "updated": "2020-07-22T08:14:05.164385Z"
    },
    {
      "created": "2020-07-17T15:18:31.274028Z",
      "id": 3533,
      "name": "Cart checkout test (increased VUs)",
      "project_id": 5276,
      "project_name": "Heavy tests",
      "updated": "2020-07-17T15:18:31.274041Z"
    },
  ]
}
```

## Read load test

Returns details of a test with the specified ID.

**GET** `https://api.k6.io/loadtests/v2/tests/{id}`

Expand table

| Path Parameter | Type    | Description                                   |
|----------------|---------|-----------------------------------------------|
| id             | integer | A unique integer value identifying this test. |

JSON ![Copy code to clipboard](/media/images/icons/icon-copy-small-2.svg) Copy

```json
{
  "k6-test": {
    "id": 0,
    "project_id": 0,
    "user_id": 0,
    "name": "string",
    "created": "2020-08-13T18:28:45Z",
    "updated": "2020-08-13T18:28:45Z",
    "last_test_run_id": "string",
    "test_run_ids": [],
    "script": "string"
  }
}
```

## Update load test

Partially updates a cloud test.

**PATCH** `https://api.k6.io/loadtests/v2/tests/{id}`

Expand table

| Path Parameter | Type    | Description                                   |
|----------------|---------|-----------------------------------------------|
| id             | integer | A unique integer value identifying this test. |

Expand table

| Request Body Parameter | Type   | Description                               |
|------------------------|--------|-------------------------------------------|
| name                   | string | Name of the test.                         |
| script                 | string | k6 script to use when starting test runs. |

JSON ![Copy code to clipboard](/media/images/icons/icon-copy-small-2.svg) Copy

```json
{
  "k6-test": {
    "id": 0,
    "project_id": 0,
    "user_id": 0,
    "name": "string",
    "created": "2020-08-13T18:28:45Z",
    "updated": "2020-08-13T18:28:45Z",
    "last_test_run_id": "string",
    "test_run_ids": [0],
    "script": "string"
  }
}
```

## Read load test Cloud v5

Returns details of a test with the specified ID.

`GET /cloud/v5/load_tests/:id`

### Parameters

Expand table

| Parameter | Description                                                                          |
|-----------|--------------------------------------------------------------------------------------|
| `$select` | Optional: Specifies a comma-separated list of properties to include in the response. |

**Example Request**:

http ![Copy code to clipboard](/media/images/icons/icon-copy-small-2.svg) Copy

```http
GET https://api.k6.io/cloud/v5/load_tests/3535?$select=id,name
Accept: application/json
Authorization: Token 56c166885f9a7fc1e588a1b3cb66f6dd
```

**Example Response**:

http ![Copy code to clipboard](/media/images/icons/icon-copy-small-2.svg) Copy

```http
HTTP/1.1 200
Content-Type: application/json

{
    "id": 3535,
    "name": "Cart checkout test",
}
```

## Delete load test

Deletes a test with the specified test ID.

**DELETE** `https://api.k6.io/loadtests/v2/tests/{id}`

Expand table

| Path Parameter | Type    | Description                                   |
|----------------|---------|-----------------------------------------------|
| id             | integer | A unique integer value identifying this test. |

**RESPONSE** `204`
